> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a payout by id

> This endpoint returns a payout based on the id.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField path="id" type="string" required>
  ID of the payout.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="details" defaultOpen>
    <ResponseField name="payout_id" type="string">
      Payout id.
    </ResponseField>

    <ResponseField name="amount" type="string">
      Payout amount.
    </ResponseField>

    <ResponseField name="currency" type="string">
      Payout currency.
    </ResponseField>

    <ResponseField name="fee_paid_by" type="string">
      Fee paid by.
    </ResponseField>

    <ResponseField name="payout_date" type="string">
      Payout date
    </ResponseField>

    <ResponseField name="payout_reason" type="string">
      Payout reason.
    </ResponseField>

    <ResponseField name="payout_reference" type="string">
      Payout reference.
    </ResponseField>

    <ResponseField name="fee_amount" type="string">
      Fee amount.
    </ResponseField>

    <ResponseField name="payout_status" type="string">
      Payout status.
    </ResponseField>

    <ResponseField name="short_reference_id" type="string">
      Short reference id.
    </ResponseField>

    <ResponseField name="unique_request_id" type="string">
      User-generated idempotency key.
    </ResponseField>

    <ResponseField name="complete_time" type="string">
      Complete time.
    </ResponseField>

    <ResponseField name="update_time" type="string">
      Update time.
    </ResponseField>

    <ResponseField name="create_time" type="string">
      Create time.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/payouts/d4bfcc79-24a5-4e03-9e2a-d70fd1e3e572/retrieve' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "code": 200,
    "message": "Success",
    "data": {
        "amount": "100",
        "beneficiary_id": "56f3d71d-f732-44c8-8833-55536941e2b0",
        "complete_time": "0001-01-01T00:00:00Z",
        "create_time": "2023-10-23T17:49:08+08:00",
        "currency": "USD",
        "fee_amount": "15",
        "fee_paid_by": "shared",
        "payer_id": "0",
        "payout_date": "2023-10-23",
        "payout_id": "80f11927-ad7f-4182-817b-629a470330c3",
        "payout_reason": "test payout",
        "payout_reference": "test payout",
        "payout_status": "processing",
        "short_reference_id": "P231023-TBPQBNDP",
        "unique_request_id": "fdf26c91-27a1-42bb-9654-a69c744b3b34",
        "update_time": "2023-10-23T17:49:14+08:00"
    }
  }
  ```
</ResponseExample>
